# -*- mode: cperl -*-
use Test::More tests=>3;
use File::Temp 'tempdir';
use DAKKAR::Graylister;

my $dbdir=tempdir(CLEANUP=>1);

local $ENV{SMTPMAILFROM}='';
local $ENV{SMTPRCPTTO}='pino';
local $ENV{TCPREMOTEIP}='10.1.2.3';
local $ENV{DAKGL_DBNAME}="$dbdir/gray4.db";
my ($host,$from,$to)=DAKKAR::Graylister::get_from_env();

ok(!DAKKAR::Graylister::is_second_attempt($host,$from,$to),'first attempt');
DAKKAR::Graylister::record_first_attempt($host,$from,$to);
ok(DAKKAR::Graylister::is_second_attempt($host,$from,$to),'second attempt');
DAKKAR::Graylister::cleanup_attempt($host,$from,$to);
ok(!DAKKAR::Graylister::is_second_attempt($host,$from,$to),'cleaned attempt');
